Bug 102226 - "/bin/ls -l --full-time" does not work as expected.
"/bin/ls -l --full-time" does not work as expected.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fileutils (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 15:04 EDT by Chris Kloiber
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2003-08-12 15:04:03 EDT
Description of problem: 
 
Please compare the following short outputs. 
 
Red Hat Enterprise Linux AS (v2.1): 
[ckloiber@lazirus ckloiber]$ /bin/ls -l --full-time 
total 48 
-rw-r--r--    1 ckloiber ckloiber    48952 Tue Aug 12 14:50:27 2003 install.log 
 
Taroon-B1: 
[ckloiber@tuxracer ckloiber]$ /bin/ls -l --full-time 
total 48 
-rw-r--r--    1 ckloiber ckloiber    48952 2003-08-06 16:36:06.000000000 -0400 install.log 
[ckloiber@tuxracer ckloiber]$ touch install.log 
[ckloiber@tuxracer ckloiber]$ /bin/ls -l --full-time 
total 48 
-rw-r--r--    1 ckloiber ckloiber    48952 2003-08-12 14:57:57.000000000 -0400 install.log 
 
As you can see, the --full-time option is not working at all in REHL AS (v2.1). While reporting 
this, I found it highly unlikely that I could have modified both files on exact second boundaries 
in Taroon-B1 as well. 
 
Package versions: 
RHEL AS (v2.1): fileutils-4.1-10.1 
Taroon-B1: coreutils-4.5.3-25
Comment 1 Tim Waugh 2003-08-12 17:30:38 EDT
Concerning the Taroon output: The filesystem only stores the times to a
resolution of 1s.
Comment 2 RHEL Product and Program Management 2007-10-19 15:24:21 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.